package net.sf.jasperreports.engine.fill;

import java.awt.Color;
import net.sf.jasperreports.engine.JRPen;
import net.sf.jasperreports.engine.JRPrintGraphicElement;
import net.sf.jasperreports.engine.util.JRPenUtil;

public class JRTemplatePrintGraphicElement extends JRTemplatePrintElement implements JRPrintGraphicElement {
  private static final long serialVersionUID = 10200L;
  
  protected JRTemplatePrintGraphicElement(JRTemplateGraphicElement graphicElement) {
    super(graphicElement);
  }
  
  public JRPen getLinePen() {
    return ((JRTemplateGraphicElement)this.template).getLinePen();
  }
  
  public byte getPen() {
    return JRPenUtil.getPenFromLinePen(getLinePen());
  }
  
  public Byte getOwnPen() {
    return JRPenUtil.getOwnPenFromLinePen(getLinePen());
  }
  
  public void setPen(byte pen) {
    setPen(new Byte(pen));
  }
  
  public void setPen(Byte pen) {
    JRPenUtil.setLinePenFromPen(pen, getLinePen());
  }
  
  public byte getFill() {
    return ((JRTemplateGraphicElement)this.template).getFill();
  }
  
  public Byte getOwnFill() {
    return ((JRTemplateGraphicElement)this.template).getOwnFill();
  }
  
  public void setFill(byte fill) {}
  
  public void setFill(Byte fill) {}
  
  public Float getDefaultLineWidth() {
    return ((JRTemplateGraphicElement)this.template).getDefaultLineWidth();
  }
  
  public Color getDefaultLineColor() {
    return ((JRTemplateGraphicElement)this.template).getDefaultLineColor();
  }
}
